| Home | Libraries | People | FAQ | More

## Function has_env_var

boost::proto::has_env_var — For testing to see whether a value exists in a transform environment corresponding to the specified `Key`.

## Synopsis

    // In header: <boost/proto/transform/env.hpp>

    template<typename Key, typename Env>
      typename proto::result_of::has_env_var<Env &, Key>::type
      has_env_var(Env & e);
    template<typename Key, typename Env>
      typename proto::result_of::has_env_var<Env const &, Key>::type
      has_env_var(Env const & e);

## Description

See also:

- `proto::functional::has_env_var::operator()`

Returns: | `proto::functional::has_env_var<Key>()(e)`